This document lists the events and parameters for
Drive Settings
Admin Audit activity events. You can retrieve these events by
calling [Activities.list()](https://developers.google.com/workspace/admin/reports/v1/reference/activities/list)
with `applicationName=admin`.

## Drive Settings


Events of this type are returned with `type=DOCS_SETTINGS`.

### Document Ownership Change

Event details Event name `TRANSFER_DOCUMENT_OWNERSHIP` Parameters `DOMAIN_NAME` `string`


The primary domain name.
`NEW_VALUE` `string`


The email address of the new owner of the file.
`USER_EMAIL` `string`


The email address of the original owner of the file.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/admin?eventName=TRANSFER_DOCUMENT_OWNERSHIP&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `Owner of documents changed from {USER_EMAIL} to {NEW_VALUE}`

### Drive and Docs org branding provisioning initiated

Event details Event name `DOCS_ORG_BRANDING_PROVISIONING` Parameters `ORG_BRANDING_PROVISIONING_STATUS` `string`


The response status for org branding provisioning.
Possible values:

- `FAILURE`  
  Failure response status value.
- `SUCCESS`  
  Successful response status value.
`SERVICE_ACCOUNT_EMAIL` `string`


Email address of the customer service account.
`SHARED_DRIVE_NAME` `string`


Shared drive name.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/admin?eventName=DOCS_ORG_BRANDING_PROVISIONING&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `Organizational branding provisioning initiated for account {SERVICE_ACCOUNT_EMAIL} and shared drive {SHARED_DRIVE_NAME} with status {ORG_BRANDING_PROVISIONING_STATUS}`

### Drive and Docs org branding upload attempt

Event details Event name `DOCS_ORG_BRANDING_UPLOAD` Parameters `DOCUMENT_ID` `string`


Document ID.
`ORG_BRANDING_EDITOR_TYPE` `string`


The editor type of the uploaded document.
Possible values:

- `FORMS`  
  The type of document is Forms.
- `SITES`  
  THe type of document is Sites.
- `SLIDES`  
  The type of document is Slides.
`ORG_BRANDING_UPLOAD_STATUS` `string`


The response status for org branding document upload.
Possible values:

- `FAILURE`  
  Failure response status value.
- `SUCCESS`  
  Successful response status value.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/admin?eventName=DOCS_ORG_BRANDING_UPLOAD&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `Organizational branding document upload attempted for document {DOCUMENT_ID} in editor {ORG_BRANDING_EDITOR_TYPE} with status {ORG_BRANDING_UPLOAD_STATUS}`

### Drive Data Restore

Event details Event name `DRIVE_DATA_RESTORE` Parameters `BEGIN_DATE_TIME` `string`


Begin date and time.
`END_DATE_TIME` `string`


End date and time.
`USER_EMAIL` `string`


The user's primary email address.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/admin?eventName=DRIVE_DATA_RESTORE&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `Drive data restoration initiated for {USER_EMAIL}`

### Drive Setting Change

Event details Event name `CHANGE_DOCS_SETTING` Parameters `DOMAIN_NAME` `string`


The primary domain name of the organization where the setting was applied. Only returned for settings that are organization-wide. For settings that can be applied at to specific OUs, `ORG_UNIT_NAME` will be returned instead.
`GROUP_EMAIL` `string`


The group's primary email address.
`NEW_VALUE` `string`


The new value of the setting. The special value `INHERIT_FROM_PARENT` may be returned for settings that can be applied to a specific OU, and indicates that the OU should inherited its value from its parent OU.
`OLD_VALUE` `string`


The old value of the setting. The special value `INHERIT_FROM_PARENT` may be returned for settings that can be applied to a specific OU, and indicates that the OU should inherited its value from its parent OU.
`ORG_UNIT_NAME` `string`


The organizational unit (OU) name (path) where the setting was applied, or the primary domain name if the setting was applied to the entire organization. Only returned for settings that can be applied to specific OUs. For organization-wide settings, `DOMAIN_NAME` will be returned instead.
`SETTING_NAME` `string`


The unique name (ID) of the setting that was changed.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/admin?eventName=CHANGE_DOCS_SETTING&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{SETTING_NAME} for Drive changed from {OLD_VALUE} to {NEW_VALUE}`

### Shared Drive Moved

Event details Event name `MOVE_SHARED_DRIVE_TO_ORG_UNIT` Parameters `NEW_VALUE` `string`


The new `SETTING_NAME` value that was set during this event.
`ORG_UNIT_NAME` `string`


The organizational unit (OU) name (path).
`SHARED_DRIVE_ID` `string`


Shared drive id.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/admin?eventName=MOVE_SHARED_DRIVE_TO_ORG_UNIT&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `Shared drive {SHARED_DRIVE_ID} moved from {ORG_UNIT_NAME} to {NEW_VALUE}`